Bug 822200 - RFE: Make /etc/localtime a symlink
RFE: Make /etc/localtime a symlink
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
rawhide
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Patsy Franklin
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-16 11:52 EDT by Avi Kivity
Modified: 2013-01-09 06:25 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-23 10:07:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Avi Kivity 2012-05-16 11:52:31 EDT
Description of problem:

Now that /usr cannot be mounted separately, there is no reason for /etc/localtime to be a copy.  It can be just a symlink, simplifying system maintenance.

See Bug #91228.


Version-Release number of selected component (if applicable):
glibc-2.14.90-24.fc16.6.x86_64

How reproducible:
Always


Steps to Reproduce:
1. ls -l /etc/localtime
  
Actual results:
file


Expected results:
symlink

Additional info:
Comment 1 Jeff Law 2012-05-21 23:52:59 EDT
Avi,

Fixing glibc is pretty trivial, but ISTM that system-config-date will also need to be fixed.  Otherwise, glibc would create /etc/localtime as a symlink, but system-config-date would replace the symlink with a hardlink or copy if I'm reading its source correctly.

Do you have a bug open with system-config-date to get this fixed?
Comment 2 Avi Kivity 2012-05-22 11:38:16 EDT
Filed bug #824033.
Comment 3 Nils Philippsen 2012-05-30 09:28:36 EDT
Just for the record, one of the usrmove features is enabling /usr to be separate again (as it's mounted from the initramfs). See http://fedoraproject.org/wiki/Features/UsrMove#Detailed_Description

Note You need to log in before you can comment on or make changes to this bug.